GET /videos

api.video

Summary: List all videos
Operation ID: LIST-videos
Auth: unknown
Description

Requests to this endpoint return a list of your videos (with all their details). With no parameters added to this query, the API returns all videos. You can filter what videos the API returns using the parameters described below. We have [several tutorials](https://api.video/blog/endpoints/video-list) that demonstrate this endpoint.

Parameters (9)

currentPage (integer, query, optional, default: 1)

Choose the number of search results to return per page. Minimum value: 1

description (string, query, optional)

If you described a video with a term or sentence, you can add it here to return videos containing this string.

liveStreamId (string, query, optional)

If you know the ID for a live stream, you can retrieve the stream by adding the ID for it here.

metadata (array, query, optional)

Videos can be tagged with metadata tags in key:value pairs. You can search for videos with specific key value pairs using this parameter. [Dynamic Metadata](https://api.video/blog/endpoints/dynamic-metadata) allows you to define a key that allows any value pair.

pageSize (integer, query, optional, default: 25)

Results per page. Allowed values 1-100, default is 25.

sortBy (string, query, optional)

Allowed: publishedAt, title. You can search by the time videos were published at, or by title.

sortOrder (string, query, optional)

Allowed: asc, desc. asc is ascending and sorts from A to Z. desc is descending and sorts from Z to A.

tags (array, query, optional)

A tag is a category you create and apply to videos. You can search for videos with particular tags by listing one or more here. Only videos that have all the tags you list will be returned.

title (string, query, optional)

The title of a specific video you want to find. The search will match exactly to what term you provide and return any videos that contain the same term as part of their titles.

No probe data for this endpoint yet.